package com.htfp.weather.utils;

import java.util.Arrays;
import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/1/22 20:05
 * @Description : 多维数组工具类
 */
public class NdArrayUtils {
    /**
     * 查找距离目标值最近的索引
     *
     * @param list
     * @param target
     * @return
     */
    public static int findNearestIndex(double[] list, double target) {
        int size = list.length;
        if (size == 0) {
            return -1;
        }
        if (size == 1) {
            return 0;
        }

        int index = Arrays.binarySearch(list, target);
        if (index >= 0) {
            return index;
        }

        // 插入点，即最大的小于等于目标值的元素索引
        int insertPoint = -(index + 1);
        if (insertPoint > 1  && Math.abs(list[insertPoint - 1] - target) <= Math.abs(list[insertPoint] - target)) {
            return insertPoint - 1;
        }
        return insertPoint;
    }


}
