package com.htfp.weather.web.exception;

/**
 * @Author : shiyi
 * @Date : 2024/3/14 16:30
 * @Description : 错误码枚举
 */

public enum ErrorCode {
    //
    VALIDATE_ERROR(1001, "参数校验错误 "),
    CONFIG_ERROR(1002, "配置相关错误 "),
    SECRET_ERROR(1003, "无权限访问"),
    DOWNLOAD_START_ERROR(1004, "数据下载启动错误"),
    DOWNLOAD_ERROR(1004, "数据下载错误"),
    HE_FENG_THIS_AREA_HAVE_NO_DATA(3001, "查询的数据或地区不存在"),
    HE_FENG_REQUEST_ERROR(3002, "查询请求错误"),
    CAI_YUN_REQUEST_ERROR(4002, "查询请求错误"),
    CAI_YUN_DATA_PARSE_ERROR(4003, "数据解析错误"),

    IMPORT_DATA_INITIAL_FAILED(5001, "导入数据初始化失败"),
    NO_NC_OR_GRIB_FILES(5002, "文件夹不存在或中没有对应的气象数据文件"),

    DATA_SET_EMPTY(6000, "TableStore数据库为空，无法查询"),
    QUERY_TIME_ERROR(6001, "目标时间不在当前数据范围内"),
    LONGITUDE_INDEX_ERROR(6002, "经度坐标索引"),
    LATITUDE_INDEX_ERROR(6003, "纬度坐标索引"),
    LEVEL_INDEX_ERROR(6004, "高度坐标索引"),

    ;
    private final int code;
    private final String msg;

    ErrorCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
