package com.htfp.weather.web.pojo.caiyun;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @Author : shiyi
 * @Date : 2024/4/15 18:52
 * @Description :
 */
@Data
public class CaiYunForecastResponse extends CaiYunBaseResponse{

    @JsonProperty("result")
    private HourlyResult hourlyResult;

    // Getters and Setters

    @Data
    public static class HourlyResult {
        private Hourly hourly;
        private int primary;
        @JsonProperty("forecast_keypoint")
        private String forecastKeypoint;

        @Data @JsonIgnoreProperties(value = {"skycon", "apparent_temperature","dswrf", "air_quality"}, ignoreUnknown = true)
        public static class Hourly {
            private String status;
            private String description;
            private List<BaseData> precipitation;
            private List<BaseData> temperature;
            private List<Wind> wind;
            private List<BaseData> humidity;
            private List<BaseData> cloudrate;
            private List<BaseData> pressure;
            private List<BaseData> visibility;
        }
        @Data @JsonIgnoreProperties(value = {"probability"}, ignoreUnknown = true)
        public static class BaseData {
            private String datetime;
            private Float value;
        }

        @Data
        public static class Wind {
            private String datetime;
            private Float speed;
            private Float direction;
        }

    }
}
