package com.htfp.weather.web.valid;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.lang.annotation.Annotation;
import java.text.SimpleDateFormat;
import java.time.format.DateTimeFormatter;

/**
 * @Author : shiyi
 * @Date : 2024/5/10 17:38
 * @Description :
 */


public class DateTimeValidator implements ConstraintValidator<DateTimeStr,String>{

    private DateTimeStr dateTimeStr;


    @Override
    public void initialize(DateTimeStr dateTimeStr) {
        this.dateTimeStr=dateTimeStr;
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        // 如果 value 为空则不进行格式验证，为空验证可以使用 @NotBlank @NotNull @NotEmpty 等注解来进行控制，职责分离
        if (value == null) {
            return true;
        }
        String format = dateTimeStr.format();

        DateTimeFormatter dateTimeFormatter = DateTimeFormatter.ofPattern(format);

        try {
            dateTimeFormatter.parse(value);
        } catch (Exception e){
            return false;
        }


        return true;
    }
}
