package com.htfp.weather.griddata.utils;

import com.htfp.weather.utils.DateTimeUtils;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import ucar.nc2.NetcdfFile;
import ucar.nc2.NetcdfFiles;

import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

/**
 * @Author : shiyi
 * @Date : 2024/3/4 10:21
 * @Description :
 */
class GfsUtilsTest {

    @Test
    void getRefTime() throws IOException {
        NetcdfFile ncFile = NetcdfFiles.open("C:/Users/shi_y/Desktop/GFSData/UTC-20230905/BJT-20230905-0900.grib2");
        String refTime = GfsUtils.getRefTime(ncFile);
        assertEquals("2023-09-05T00:00+00:00", refTime);
        Assertions.assertEquals("2023-09-05T08:00+08:00", DateTimeUtils.getBJTDateTimeStringFromUTC(refTime, CoordinateUtils.DATE_TIME_PATTERN));
    }
}